###############################################################################
# _pin_assign_FPGA4U.tcl
#
# BOARD    : FPGA4U Board
# Author   : Ren Beuchat, LAP/EPFL 
# Revision : 0.2                  
# Date     : 14 january 2007
#
# correction S. Schild, FX2_Ctl0, 1, 2
#
# Rgle de syntaxe :	GROUP_NAME_N[bit]
#
# GROUP  : spcify a particular interface (ex: SDR_)
# NAME   : signal name (ex: CONFIG, D, ...)
# bit    : signal index( with tcl, put \[  et \]  for [  ] signs), the [] is used by quartus for bits range information
# _n     : to specify a low level signal activity
#
# You can run this script from Quartus by observing the following steps:
# 1. Place this TCL script in your project directory
# 2. Open your project
# 3. Go to the View Menu and Auxilary Windows -> TCL console
# 4. In the TCL console type:
#						source _pin_assign_FPGA4U.tcl
#        
# 5. The script will assign pins and return an "assignment made" message.
###############################################################################

#set top_name your_top_name

##############################################################################

########## Set the pin location variables

#project set_active_cmp $top_name
	set_global_assignment -name FAMILY "Cyclone II"
	set_global_assignment -name DEVICE EP2C20F484C8
	set_global_assignment -name DEVICE_FILTER_PACKAGE FBGA
	set_global_assignment -name DEVICE_FILTER_PIN_COUNT 484
	set_global_assignment -name ENABLE_INIT_DONE_OUTPUT OFF
	set_global_assignment -name RESERVE_ALL_UNUSED_PINS "AS INPUT TRI-STATED WITH WEAK PULL-UP"
	set_global_assignment -name STRATIX_DEVICE_IO_STANDARD LVCMOS
	set_global_assignment -name RESERVE_ASDO_AFTER_CONFIGURATION "AS INPUT TRI-STATED"
	set_global_assignment -name RESERVE_ALL_UNUSED_PINS_NO_OUTPUT_GND "AS INPUT TRI-STATED"
	set_global_assignment -name DEVICE_MIGRATION_LIST EP2C20F484C8
	set_global_assignment -name FMAX_REQUIREMENT "100 MHz"
	set_global_assignment -name IOBANK_VCCIO 3.3V -section_id 8
	set_global_assignment -name ENABLE_DEVICE_WIDE_RESET OFF
	set_global_assignment -name STRATIX_CONFIGURATION_DEVICE EPCS16
	set_global_assignment -name CYCLONEII_RESERVE_NCEO_AFTER_CONFIGURATION "USE AS REGULAR IO"

# Misc
##############################################################################

	set_location_assignment PIN_B3  -to reset_n        	

# CLOCKs In
##############################################################################
	set_location_assignment PIN_L1  -to clk_24MHz

# CLOCKs Out
##############################################################################

	set_location_assignment PIN_U4  -to SDRAM_clk

# SDRAM
##############################################################################

	set_location_assignment PIN_W7   -to SDRAM_DQ[0]
	set_location_assignment PIN_AB6  -to SDRAM_DQ[1]
	set_location_assignment PIN_AA7  -to SDRAM_DQ[2]
	set_location_assignment PIN_W8   -to SDRAM_DQ[3]
	set_location_assignment PIN_V9   -to SDRAM_DQ[4]
	set_location_assignment PIN_AA9  -to SDRAM_DQ[5]
	set_location_assignment PIN_U10  -to SDRAM_DQ[6]
	set_location_assignment PIN_AB10 -to SDRAM_DQ[7]
	set_location_assignment PIN_V11  -to SDRAM_DQ[8]
	set_location_assignment PIN_AA10 -to SDRAM_DQ[9]
	set_location_assignment PIN_AB9  -to SDRAM_DQ[10]
	set_location_assignment PIN_AB8  -to SDRAM_DQ[11]
	set_location_assignment PIN_AA8  -to SDRAM_DQ[12]
	set_location_assignment PIN_AB7  -to SDRAM_DQ[13]
	set_location_assignment PIN_V8   -to SDRAM_DQ[14]
	set_location_assignment PIN_AA6  -to SDRAM_DQ[15]
	set_location_assignment PIN_W14  -to SDRAM_DQ[16]
	set_location_assignment PIN_AB14 -to SDRAM_DQ[17]
	set_location_assignment PIN_AB15 -to SDRAM_DQ[18]
	set_location_assignment PIN_AA15 -to SDRAM_DQ[19]
	set_location_assignment PIN_AB16 -to SDRAM_DQ[20]
	set_location_assignment PIN_W16  -to SDRAM_DQ[21]
	set_location_assignment PIN_Y17  -to SDRAM_DQ[22]
	set_location_assignment PIN_AB19 -to SDRAM_DQ[23]
	set_location_assignment PIN_AA19 -to SDRAM_DQ[24]
	set_location_assignment PIN_AA18 -to SDRAM_DQ[25]
	set_location_assignment PIN_AB18 -to SDRAM_DQ[26]
	set_location_assignment PIN_AA16 -to SDRAM_DQ[27]
	set_location_assignment PIN_W15  -to SDRAM_DQ[28]
	set_location_assignment PIN_Y14  -to SDRAM_DQ[29]
	set_location_assignment PIN_AA14 -to SDRAM_DQ[30]
	set_location_assignment PIN_AA13 -to SDRAM_DQ[31]
	
	set_location_assignment PIN_AB5  -to SDRAM_DQM[0]
	set_location_assignment PIN_Y9   -to SDRAM_DQM[1]
	set_location_assignment PIN_AB17 -to SDRAM_DQM[2]
	set_location_assignment PIN_U15  -to SDRAM_DQM[3]
	
	set_location_assignment PIN_Y10  -to SDRAM_BA[0]
	set_location_assignment PIN_AB11 -to SDRAM_BA[1]
	
	set_location_assignment PIN_AB13 -to SDRAM_ADDR[0]
	set_location_assignment PIN_U13  -to SDRAM_ADDR[1]
	set_location_assignment PIN_U14  -to SDRAM_ADDR[2]
	set_location_assignment PIN_V15  -to SDRAM_ADDR[3]
	set_location_assignment PIN_V14  -to SDRAM_ADDR[4]
	set_location_assignment PIN_Y13  -to SDRAM_ADDR[5]
	set_location_assignment PIN_AA12 -to SDRAM_ADDR[6]
	set_location_assignment PIN_AA11 -to SDRAM_ADDR[7]
	set_location_assignment PIN_W11  -to SDRAM_ADDR[8]
	set_location_assignment PIN_U9   -to SDRAM_ADDR[9]
	set_location_assignment PIN_AB12 -to SDRAM_ADDR[10]
	set_location_assignment PIN_U8   -to SDRAM_ADDR[11]
	
	set_location_assignment PIN_W9   -to SDRAM_CKE
	set_location_assignment PIN_Y7   -to SDRAM_CS_n
	set_location_assignment PIN_Y6   -to SDRAM_RAS_n
	set_location_assignment PIN_Y5   -to SDRAM_CAS_n
	set_location_assignment PIN_AA5  -to SDRAM_WE_n


# UART
##############################################################################
	
	set_location_assignment PIN_AB3 -to FPGA_RxD
	set_location_assignment PIN_AA3 -to FPGA_TxD